from pydantic import BaseModel


class CompanySchema(BaseModel):
    id: int
    hubspot_id: str
    name: str
    domain: str | None

    class Config:
        from_attributes = True  # Ensures SQLAlchemy model converts to Pydantic
